Bug 443564 - FEAT: Match the new db schema of bz3.0 [#8 TABLE namedqueries]
FEAT: Match the new db schema of bz3.0 [#8 TABLE namedqueries]
Status: CLOSED CURRENTRELEASE
Product: Red Hat Hardware Certification Program
Classification: Red Hat
Component: Hardware Catalog (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: XINSUN
Yu Shao
:
Depends On:
Blocks: hwcert->BZ3_tracker
  Show dependency treegraph
 
Reported: 2008-04-22 04:32 EDT by XINSUN
Modified: 2008-08-04 13:56 EDT (History)
10 users (show)

See Also:
Fixed In Version: 3.2rh-20080801.1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-08-04 13:56:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
The patch to fix : 8.1 Delete the field linkinfooter from table namedqueries (961 bytes, patch)
2008-04-25 01:42 EDT, XINSUN
no flags Details | Diff
Patch improve: (2.52 KB, patch)
2008-04-29 06:46 EDT, XINSUN
no flags Details | Diff
Patch Improve: (14.65 KB, patch)
2008-04-29 11:29 EDT, XINSUN
no flags Details | Diff

  None (edit)
Description XINSUN 2008-04-22 04:32:59 EDT
8.   Relate to TABLE namedqueries need to change list below:
   8.1 Delete  the field  linkinfooter from table  namedqueries
         Added :        N/A
         Removed:    FIELD  namedqueries.linkinfooter
Comment 1 XINSUN 2008-04-25 01:42:54 EDT
Created attachment 303738 [details]
The patch to fix : 8.1 Delete  the field  linkinfooter from table  namedqueries

The linkinfooter is used in the template file :
"template/en/default/global/useful-links.html.tmpl"
:
=============================================================================
 [% FOREACH q = user.queries %]
	  [% IF q.linkinfooter %]
	    [% " | " IF print_pipe %]
	    <a href="buglist.cgi?cmdtype=runnamed&amp;namedcmd=[% q.name FILTER
url_quote %]"><nobr>[% q.name FILTER html %]</nobr></a>
	    [% print_pipe = 1 %]
	  [% END %]
	[% END %]
====================================================================================


The above template file is not used in the hwcert catalog, So remove the field
linkinfooter from the select sql query. pls refer to the patch.

Best Regards!
Nicho
Comment 2 Noura El hawary 2008-04-28 01:23:17 EDT
patch looks good to me nicho, maybe also here is a good idea to remove the code
refering to linkfooter from the template/en/default/global/useful-links.html.tmpl

Cheers,
Noura
Comment 3 XINSUN 2008-04-29 06:46:56 EDT
Created attachment 304100 [details]
Patch improve:

Remove the code
refering to linkfooter from the
template/en/default/global/useful-links.html.tmpl

Pls review,
Nicho
Comment 4 XINSUN 2008-04-29 11:29:08 EDT
Created attachment 304130 [details]
Patch Improve:
Comment 5 XINSUN 2008-04-29 11:30:48 EDT
Created attachment 304131 [details]
Patch Improve:
Comment 6 Noura El hawary 2008-04-30 22:04:45 EDT
Patch looks good,

Thanks nicho.
Comment 7 Rob Landry 2008-07-17 17:03:32 EDT
Please commit this change to CVS and set the status to MODIFIED.
Comment 8 eric_liu 2008-08-01 07:37:23 EDT
tested and run good 

Note You need to log in before you can comment on or make changes to this bug.